Documentation

influxdb3-js release notes

v2.2.0

Features

  1. #707: Support passing interceptor functions to the Flight client.
  2. #711: Support custom tag order via tagOrder write option. See Sort tags by priority for more.

v2.1.0

Bugfix

  1. #688: InfluxDB 3 Core/Enterprise write errors details handling.

v2.0.0

:warning: Breaking Changes: Node v18 support is dropped because it is end of life.

Features

  1. #622:
    • Deprecated ConnectionOptions.timeout.
    • Added ConnectionOptions.queryTimeout and ConnectionOptions.writeTimeout.
    • Added QueryOptions.timeout and WriteOptions.timeout.
    • Users can pass timeout directly to the query and write functions.

CI

  1. #626 Fix pipelines not downloading the correct node images.

Docs

  1. #645: Document gRPC compression.

v1.4.0

CI

  1. #607 Add tests for arm64 CircleCI.

v1.3.0

Features

  1. #585: Add function to get InfluxDB version.
  2. #588: Support grpc options available via @grpc/grpc-js.
    • New client option (grpcOptions) added. Accepts key-value pairs available via @grpc/grpc-js.
    • New queryOptions option (grpcOptions) added. Accepts key-value pairs available via @grpc/grpc-js.
    • Configurable also with the environment variable (INFLUXDB_GRPC_OPTIONS) which takes a comma separated list of key-value pairs.
    • See new example clientWithGrpcOptions.ts.
    • Not supported in browser API.
  3. #591: Add comment warning null when calling getMeasurement function.
  4. #592: Run integration tests against a locally started InfluxDB 3 Core server.

v1.2.0

Features

  1. #574: Support fast writes without waiting for WAL persistence:
    • New write option (WriteOptions.noSync) added: true value means faster write but without the confirmation that the data was persisted. Default value: false.
    • Supported by self-managed InfluxDB 3 Core and Enterprise servers only!
    • Also configurable via connection string query parameter (writeNoSync).
    • Also configurable via environment variable (INFLUX_WRITE_NO_SYNC).
    • Long precision string values added from v3 HTTP API: "nanosecond", "microsecond", "millisecond", "second" (in addition to the existing "ns", "us", "ms", "s").

Bugfix

  1. #570: Fixes the bug that makes query results duplicate rows #553.
  2. #575: Upgrades build ecmascript to es2023

v1.1.0

Features

  1. #545: Sets the correct versions for the client-browser package.

v1.0.0

Features

  1. #491: Respect iox::column_type::field metadata when mapping query results into values.
    • iox::column_type::field::integer: => number
    • iox::column_type::field::uinteger: => number
    • iox::column_type::field::float: => number
    • iox::column_type::field::string: => string
    • iox::column_type::field::boolean: => boolean
  2. 499: Migrate to new doc library

v0.12.0

Bugfix

  1. 437: Simplify iterating over Arrow’s batches in QueryAPI

v0.11.0

Features

  1. 410: Accepts HTTP responses with 2xx status codes as a success for writes.

v0.10.0

Features

  1. 369: Propagates headers from HTTP response to HttpError when an error is returned from the server.
  2. 377: Add InfluxDB Edge (OSS) authentication support.

Bugfix

  1. 376: Handle InfluxDB Edge (OSS) errors better.

v0.9.0

Features

  1. 319: Adds standard user-agent header to calls.

v0.8.0

Breaking Changes

  1. 293: The Query API now uses a QueryOptions structure in client.query() methods. The queryType and queryParams values are now wrapped inside of it. QueryOptions also support adding custom headers. Query parameters are changed from type Map<string, QParamType> to type Record<string, QParamType>.

Features

  1. 293: QueryOptions also support adding custom headers.

v0.7.0

Features

  1. #256: Adds support for named query parameters

v0.6.0

Bugfix

  1. #221: Client options processing

v0.5.0

Features

  1. #183: Default Tags for Writes

v0.4.1

Bugfix

  1. #164: Query infinite wait state

v0.4.0

Features

  1. #157: Add client instantiation from connection string and environment variables

v0.3.1

Fixed package distribution files. The distribution files were not being included in the npm package.

v0.3.0

Features

  1. #89: Add structured query support

Docs

  1. #89: Add downsampling example

v0.2.0

Features

  1. #52: Add support for browser environment

Docs

  1. #52: Improve examples

v0.1.0

  • initial release of new client version
  • write using v2 api
  • query using FlightSQL
  • query using InfluxQl

Was this page helpful?

Thank you for your feedback!


InfluxDB OSS 2.9.0: API tokens are hashed by default

Stronger token security in InfluxDB OSS 2.9.0 — tokens are hashed on disk by default. Existing tokens are hashed on first startup and can’t be recovered afterward. Capture any plaintext tokens you still need before you upgrade.

View InfluxDB OSS 2.9.0 release notes

Hashed tokens authenticate exactly like unhashed tokens — clients and integrations keep working.

Also new in 2.9.0:

  • Configurable backup compression
  • Restore support for backups containing hashed tokens
  • Tighter Edge Data Replication queue validation
  • Flux upgrade
  • Compaction reliability improvements

Key enhancements in Explorer 1.8

Explorer 1.8 is now available with streaming data subscriptions (beta), line protocol preview, and query history & saved queries.

View Explorer 1.8 release notes

Explorer 1.8 includes new features and improvements that make it easier to ingest, explore, and manage data.

Highlights:

  • Streaming data subscriptions (beta): Stream data into Explorer from MQTT, Kafka, and AMQP sources.
  • Line protocol preview: Preview line protocol, schema, and parse errors before data is written.
  • Custom sample data: Generate custom sample datasets with line protocol and schema preview.
  • Query history and saved queries: Browse query history and save/re-run named queries.
  • Retention period management: Set, update, or clear retention periods on databases and tables.

For more details, see Explorer 1.8 release notes

InfluxDB 3.9: Performance upgrade preview

InfluxDB 3 Enterprise 3.9 includes a beta of major performance upgrades with faster single-series queries, wide-and-sparse table support, and more.

InfluxDB 3 Enterprise 3.9 includes a beta of major performance and feature updates.

Key improvements:

  • Faster single-series queries
  • Consistent resource usage
  • Wide-and-sparse table support
  • Automatic distinct value caches for reduced latency with metadata queries

Preview features are subject to breaking changes.

For more information, see:

Telegraf Enterprise now in public beta

Get early access to the Telegraf Controller and provide feedback to help shape the future of Telegraf Enterprise.

See the Blog Post

The upcoming Telegraf Enterprise offering is for organizations running Telegraf at scale and is comprised of two key components:

  • Telegraf Controller: A control plane (UI + API) that centralizes Telegraf configuration management and agent health visibility.
  • Telegraf Enterprise Support: Official support for Telegraf Controller and Telegraf plugins.

Join the Telegraf Enterprise beta to get early access to the Telegraf Controller and provide feedback to help shape the future of Telegraf Enterprise.

For more information:

Telegraf Controller v0.0.7-beta now available

Telegraf Controller v0.0.7-beta is now available with new features, improvements, bug fixes, and an important breaking change.

View the release notes
Download Telegraf Controller v0.0.7-beta

InfluxDB Docker latest tag changing to InfluxDB 3 Core

On May 27, 2026, the latest tag for InfluxDB Docker images will point to InfluxDB 3 Core. To avoid unexpected upgrades, use specific version tags in your Docker deployments.

If using Docker to install and run InfluxDB, the latest tag will point to InfluxDB 3 Core. To avoid unexpected upgrades, use specific version tags in your Docker deployments. For example, if using Docker to run InfluxDB v2, replace the latest version tag with a specific version tag in your Docker pull command–for example:

docker pull influxdb:2

InfluxDB Cloud Serverless